Skip to main content
GET
List Knowledge Update Requests

Authorizations

X-API-Key
string
header
required

Query Parameters

status
enum<string> | null

open = pending or in progress (the UI's To review)

Available options:
open,
pending,
in_progress,
resolved,
rejected
kind
enum<string> | null

documentation: missing knowledge; product_issue: a product malfunction

Available options:
documentation,
product_issue
gap_types
enum<string>[] | null

Gap types, comma-separated or repeated

Available options:
unanswered,
partial,
wrong,
hedged,
out_of_scope,
conflicting
source
enum<string> | null

How the gap was detected

Available options:
user_feedback,
nightly_batch_llm,
manual,
agent_runtime,
simulation
min_occurrences
integer | null

Gaps met in at least this many conversations

Required range: x >= 1
min_probability
number | null

Gaps whose judged probability is at least this value

Required range: 0 <= x <= 1
topic_id
string<uuid> | null

Conversation topic (or one of its sub-topics)

agent_id
string<uuid> | null
knowledge_document_id
string<uuid> | null

Gaps concerning this document

knowledge_source_id
string<uuid> | null

Gaps concerning a document of this source

start_date
string<date-time> | null

Created at or after (ISO 8601)

end_date
string<date-time> | null

Created at or before (ISO 8601)

sort
enum<string> | null

Default: most recent first

Available options:
priority,
occurrences,
recent,
probability,
status,
gap_type,
source,
agent,
document
order
enum<string>
default:desc
Available options:
asc,
desc
page
integer
default:1
page_size
integer
default:50

Response

200 - application/json

OK

data
KnowledgeUpdateRequestListItemSchema · object[]
required
has_more
boolean
required
total
integer
required
object
string
default:list